cURL
curl --request POST "https://rxresu.me/api/openapi/career/schedules" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"kind": "discovery",
"nextRunAt": "<string>",
"timezone": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/career/schedules"
payload = {
"nextRunAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"applicationId": "<string>",
"query": "",
"interviewId": "<string>",
"enabled": True,
"email": False,
"intervalDays": 15,
"aiProviderId": "<string>",
"locale": "<string>",
"id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nextRunAt: '2023-11-07T05:31:56Z',
timezone: '<string>',
applicationId: '<string>',
query: '',
interviewId: '<string>',
enabled: true,
email: false,
intervalDays: 15,
aiProviderId: '<string>',
locale: '<string>',
id: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/career/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"kind": "<string>",
"query": "<string>",
"lead": "<string>",
"locale": "<string>",
"timezone": "<string>",
"enabled": true,
"email": true,
"nextRunAt": "2023-11-07T05:31:56Z",
"lastQueuedAt": "2023-11-07T05:31:56Z",
"intervalDays": -1,
"aiProviderId": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Post careerschedules
POST
/
career
/
schedules
cURL
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Body
application/json
Available options:
discovery, prepare, follow-up Maximum string length:
100Minimum string length:
1Maximum string length:
500Available options:
24h, 2h, morning Required range:
1 <= x <= 30Minimum string length:
1Required string length:
2 - 20Response
OK
Required range:
-2147483648 <= x <= 2147483647